Bug 207792 - Right-click Move functionality doesn't work on all programs.
Right-click Move functionality doesn't work on all programs.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-23 06:39 EDT by teamwassily
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 18:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description teamwassily 2006-09-23 06:39:08 EDT
Description of problem:
It's fine to move a program by clicking on the title bar, but if you move a
program by right-clicking the program in minimized state or on the title bar and
select Move then you have a move that won't release or focus.

Version-Release number of selected component (if applicable):
compiz as of sept 23 2006

How reproducible:
Always, just enable Desktop effects.

Steps to Reproduce:
1. Go to title bar, right click with mouse and select Move.
2. Move the program around a bit.. here and there, have fun!
3. Then try to stop the moving by clicking the left mouse button.  It won't release!
4. To get it to release you have to press Enter on the keyboard.

Also note (this is another bug in itself)
That if the window isn't focused and you select the Move functionality from the
bottom bar where all the programs are shown then the window will never focus. 
You'll be able to move it around but it might be a terminal window hidden behind
a giant Firefox window.  

Actual results:
Move doesn't work in many ways.

Expected results:
Move functionality to work like it would without Desktop Effects.

Additional info:
ATI Radeon 9200 with 128 MB of memory.  FC6T3 up to date as of sept 23 2006.
Comment 1 Søren Sandmann Pedersen 2006-09-28 18:59:58 EDT
ButtonPresses should terminates moves now (or at least when rel-eng moves the
package into fc6). 

The other thing I agree is another bug in itself; you may consider filing it as
such ;-)
Comment 2 teamwassily 2006-09-29 12:58:19 EDT
done.

<https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=208605>

Note You need to log in before you can comment on or make changes to this bug.